/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2020.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

import { Point } from "./Point";
import { AnchorItem } from "../items/AnchorItem";

/**
 * 关系item接口
 *
 * @author  郝建龙
 */
export interface Relation {
    /** 类型  */
    type?: number;
    /** id  */
    ID?: string;
    /** 锚点1ID   */
    Anchor1ID?: string;
    /** 锚点2ID   */
    Anchor2ID?: string;
    /** 锚点1     */
    Anchor1?: AnchorItem;
    /** 锚点2     */
    Anchor2?: AnchorItem;
    /** 名称  */
    PointList?: Point[];
} // Interface Relation
